<?php
/**
 * Created by PhpStorm.
 * User: Artek
 * Date: 11.06.2015
 * Time: 14:07
 */

namespace Q3i\Q3iComplexify\Util;

/**
 * Class Div
 * @package Q3i\Q3iComplexify\Util
 */
class Div {

	/**
	 * @param $content
	 * @param $config
	 * @return string
	 */
	function user_renderJs($content, $config) {

		$config = $GLOBALS['TSFE']->tmpl->setup['plugin.']['tx_q3icomplexify.'];

		$code = "
Q3iComplexifyConfig = {
	inputHint: '" . \TYPO3\CMS\Extbase\Utility\LocalizationUtility::translate('inputHint','q3i_complexify') ."'
}
Q3iComplexify = new Q3iComplexifyViewModel(".$config['complexifyConfig'].");
		";

		foreach ((array) $config['renderingSettings.'] as $userExtensionKey => $extSettings) {
			$userExtensionKeyNorm = rtrim($userExtensionKey, '.');
			if (!\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded($userExtensionKeyNorm)) {
				// extension not loaded
				continue;
			}
			foreach ((array) $extSettings as $formKey => $formSettings) {
				$pages = (array) \TYPO3\CMS\Core\Utility\GeneralUtility::trimExplode(',',$formSettings['pages']);
				if (count($pages) > 0 && $pages[0] > '' && (!in_array($GLOBALS['TSFE']->id, $pages) && !array_search('*', $pages))) {
					// not applicable for the currently viewed page
					continue;
				}
				$formKeyNorm = rtrim($formKey, '.');
				$code .= "
// init $userExtensionKeyNorm $formKeyNorm form
Q3iComplexify.complexify($('#{$extSettings[$formKey]['mainFieldId']}'), $('#{$extSettings[$formKey]['repeatFieldId']}'), " . intval(
						$extSettings[$formKey]['barWidth']
						) . ");
		";
			}
		}

		return $code;

	}

}
